/* Réinitialisation du CSS */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* Styles globaux */
body {
    font-family: 'Arial', 'Helvetica', sans-serif;
    font-family: 'Raleway', sans-serif;
    transition: 0.3s;
}

button {
    background-color: #19B874;
    color: #ffffff;
    border: none;
    padding: 10px 20px;
    font-size: 17px;
    cursor: pointer;
}

/* correction lien */


.bouttonContact {
    background-color: #19B874;
    color: #ffffff;
    border: none;
    padding: 10px 20px;
    font-size: 17px;
    cursor: pointer;
}

/* Aside */
aside {
    position: fixed;
    z-index: 100;
    width: 15%;
    height: 100%;
    margin-left: 85%;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.892);
}

.fermer {
    float: right;
    width: 15%;
    cursor: pointer;
}

/* Header */
header {
    background-color: #333;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 11;
    position: fixed;
}

.logo {
    transition: 0.2s;
}

.logo:hover {
    transform: scale(1.1);
}

.fixed {
    position: fixed;
}

.logo-container img {
    height: 50px;
    width: auto;
}

nav {
    display: flex;
    align-items: center;
}


.nav-links {

    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-links li {
    margin-right: 20px;
}

.nav-links li a {
    color: #fff;
    text-decoration: none;
    position: relative;
}

.nav-links li a:hover {
    font-weight: 900;
}


.nav-links li a:after {
    content: "";
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #19B874;
    visibility: hidden;
    transform: scaleX(0);
    transition: visibility 0s linear 0.2s, transform 0.2s ease;
}


.nav-links li a:hover:after {
    visibility: visible;
    transform: scaleX(1);
    transition-delay: 0s;
}

.burger {
    display: none;
    cursor: pointer;
}

.burger div {
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 5px;
    transition: all 0.3s ease;
}

@media screen and (max-width: 768px) {
    .nav-links {
        display: none;
    }

    .burger {
        display: block;
    }
}

/* Main */
main {
    margin-top: 75px;
}

/* Section vidéo */
video {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.video-title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 2;
}

.video-title h1 {
    font-size: 3rem;
    color: #fff;
}

/* Section informations */
.info-container {
    padding: 20px;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 100%;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.info-text {
    text-align: center;
    max-width: 800px;
    margin-bottom: 50px;
}

.info-text h2 {
    font-size: 2rem;
    margin-bottom: 20px;
}

.info-text p {
    font-size: 1.2rem;
    line-height: 1.5;
}

.info-image img {
    max-width: 100%;
    max-height: 100%;
}

@media screen and (max-width: 1270px) {
    .info-container {
        margin-top: 200px;
    }
}

@media screen and (max-width: 670px) {
    .info-container {
        margin-top: 300px;
    }

    aside {
        width: 30%;
        margin-left: 70%;
    }

    .fermer {
        width: 40%;
    }

    .video-title {
        font-size: 5px;
    }
}

/* Footer */


.copy:hover {
    color: rgb(63, 63, 239);

}

.site-footer {
    background-color: #333;
    padding: 20px;
    text-align: center;
}

.footer-content p {
    margin-bottom: 5px;
    font-size: 14px;
    color: #fff;
}

.footer-content a {
    color: #fff;
    text-decoration: none;
}

.footer-content a:hover {
    text-decoration: underline;
}

/* Horaires */
h1 {
    text-align: center;
}

#calendrier {
    padding: 20px;
    margin-top: 20px;
}

.weekdays {
    display: flex;
}

.weekday {
    flex: 1;
    text-align: center;
    background-color: #f2f2f2;
    border: 1px solid #ccc;
    padding: 10px;
}

.timeslots {
    display: flex;
    flex-wrap: wrap;
}

.timeslot {
    flex: 1;
    text-align: center;
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 10px;
}

@media (max-width: 720px) {
    #calendrier {
        display: grid;
        grid-template-columns: auto auto;
    }

    .weekdays {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }

    .weekday {
        flex: none;
        width: 100%;
    }

    .timeslots {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .timeslot {
        flex: none;
        width: 100%;
    }

    .h1Calendrier {
        margin-left: 40%;
    }
}

@media (max-width: 255px) {
    #calendrier {
        padding: 0px;
    }

    .h1Calendrier {
        margin-left: 20px;
        margin-top: 30%;
    }
}

.h1Calendrier {
    margin-right: 80%;
    margin-top: 7%;
}